org.apache.tinkerpop.gremlin.language.grammar

## Interface GremlinListener

- All Superinterfaces:
    org.antlr.v4.runtime.tree.ParseTreeListener
  All Known Implementing Classes:
    GremlinBaseListener

      public interface GremlinListener
      extends org.antlr.v4.runtime.tree.ParseTreeListener

  This interface defines a complete listener for a parse tree produced by `GremlinParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.booleanLiteral()`.
    `void` | `enterChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)` Enter a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
    `void` | `enterChainedTraversal(GremlinParser.ChainedTraversalContext ctx)` Enter a parse tree produced by `GremlinParser.chainedTraversal()`.
    `void` | `enterConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.connectedComponentConstants()`.
    `void` | `enterConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
    `void` | `enterDateLiteral(GremlinParser.DateLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.dateLiteral()`.
    `void` | `enterEmptyQuery(GremlinParser.EmptyQueryContext ctx)` Enter a parse tree produced by `GremlinParser.emptyQuery()`.
    `void` | `enterFloatLiteral(GremlinParser.FloatLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.floatLiteral()`.
    `void` | `enterGenericLiteral(GremlinParser.GenericLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteral()`.
    `void` | `enterGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteralCollection()`.
    `void` | `enterGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteralExpr()`.
    `void` | `enterGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteralList()`.
    `void` | `enterGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteralMap()`.
    `void` | `enterGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)` Enter a parse tree produced by `GremlinParser.genericLiteralRange()`.
    `void` | `enterGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
    `void` | `enterGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
    `void` | `enterGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
    `void` | `enterGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
    `void` | `enterGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
    `void` | `enterGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
    `void` | `enterGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
    `void` | `enterGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
    `void` | `enterGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
    `void` | `enterGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
    `void` | `enterGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
    `void` | `enterGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
    `void` | `enterGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
    `void` | `enterGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
    `void` | `enterGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
    `void` | `enterGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
    `void` | `enterGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
    `void` | `enterGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
    `void` | `enterGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
    `void` | `enterGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
    `void` | `enterGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.gremlinStringConstants()`.
    `void` | `enterIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.integerLiteral()`.
    `void` | `enterIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
    `void` | `enterIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
    `void` | `enterNestedTraversal(GremlinParser.NestedTraversalContext ctx)` Enter a parse tree produced by `GremlinParser.nestedTraversal()`.
    `void` | `enterNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)` Enter a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
    `void` | `enterNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)` Enter a parse tree produced by `GremlinParser.nestedTraversalList()`.
    `void` | `enterNullLiteral(GremlinParser.NullLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.nullLiteral()`.
    `void` | `enterPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.pageRankStringConstant()`.
    `void` | `enterPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.pageRankStringConstants()`.
    `void` | `enterPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
    `void` | `enterPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
    `void` | `enterQuery(GremlinParser.QueryContext ctx)` Enter a parse tree produced by `GremlinParser.query()`.
    `void` | `enterQueryList(GremlinParser.QueryListContext ctx)` Enter a parse tree produced by `GremlinParser.queryList()`.
    `void` | `enterRootTraversal(GremlinParser.RootTraversalContext ctx)` Enter a parse tree produced by `GremlinParser.rootTraversal()`.
    `void` | `enterShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
    `void` | `enterShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
    `void` | `enterStringLiteral(GremlinParser.StringLiteralContext ctx)` Enter a parse tree produced by `GremlinParser.stringLiteral()`.
    `void` | `enterStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)` Enter a parse tree produced by `GremlinParser.stringLiteralExpr()`.
    `void` | `enterStringLiteralList(GremlinParser.StringLiteralListContext ctx)` Enter a parse tree produced by `GremlinParser.stringLiteralList()`.
    `void` | `enterTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)` Enter a parse tree produced by `GremlinParser.terminatedTraversal()`.
    `void` | `enterTransactionPart(GremlinParser.TransactionPartContext ctx)` Enter a parse tree produced by `GremlinParser.transactionPart()`.
    `void` | `enterTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)` Enter a parse tree produced by `GremlinParser.traversalBiFunction()`.
    `void` | `enterTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)` Enter a parse tree produced by `GremlinParser.traversalCardinality()`.
    `void` | `enterTraversalColumn(GremlinParser.TraversalColumnContext ctx)` Enter a parse tree produced by `GremlinParser.traversalColumn()`.
    `void` | `enterTraversalComparator(GremlinParser.TraversalComparatorContext ctx)` Enter a parse tree produced by `GremlinParser.traversalComparator()`.
    `void` | `enterTraversalDirection(GremlinParser.TraversalDirectionContext ctx)` Enter a parse tree produced by `GremlinParser.traversalDirection()`.
    `void` | `enterTraversalFunction(GremlinParser.TraversalFunctionContext ctx)` Enter a parse tree produced by `GremlinParser.traversalFunction()`.
    `void` | `enterTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `void` | `enterTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `void` | `enterTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `enterTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `enterTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `enterTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `void` | `enterTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `void` | `enterTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_and()`.
    `void` | `enterTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_as()`.
    `void` | `enterTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)` Enter a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `enterTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `enterTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)` Enter a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `enterTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_both()`.
    `void` | `enterTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
    `void` | `enterTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
    `void` | `enterTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_branch()`.
    `void` | `enterTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)` Enter a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)` Enter a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `enterTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_cap()`.
    `void` | `enterTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `enterTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
    `void` | `enterTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_coin()`.
    `void` | `enterTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
    `void` | `enterTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_constant()`.
    `void` | `enterTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `void` | `enterTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `void` | `enterTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
    `void` | `enterTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `void` | `enterTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `void` | `enterTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_drop()`.
    `void` | `enterTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
    `void` | `enterTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `enterTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)` Enter a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `enterTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `enterTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)` Enter a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `void` | `enterTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `void` | `enterTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
    `void` | `enterTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `void` | `enterTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)` Enter a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `void` | `enterTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `void` | `enterTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `void` | `enterTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `void` | `enterTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `void` | `enterTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `void` | `enterTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `void` | `enterTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)` Enter a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `enterTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `void` | `enterTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)` Enter a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `void` | `enterTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)` Enter a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `void` | `enterTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `void` | `enterTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)` Enter a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `void` | `enterTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `void` | `enterTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
    `void` | `enterTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `void` | `enterTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)` Enter a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `void` | `enterTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_id()`.
    `void` | `enterTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_identity()`.
    `void` | `enterTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_in()`.
    `void` | `enterTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_index()`.
    `void` | `enterTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_inE()`.
    `void` | `enterTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_inject()`.
    `void` | `enterTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_inV()`.
    `void` | `enterTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `void` | `enterTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)` Enter a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `void` | `enterTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_key()`.
    `void` | `enterTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_label()`.
    `void` | `enterTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)` Enter a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `void` | `enterTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)` Enter a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `void` | `enterTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_local()`.
    `void` | `enterTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `void` | `enterTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `void` | `enterTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_map()`.
    `void` | `enterTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_match()`.
    `void` | `enterTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_math()`.
    `void` | `enterTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `void` | `enterTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `void` | `enterTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `void` | `enterTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `void` | `enterTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `void` | `enterTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `void` | `enterTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_not()`.
    `void` | `enterTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `enterTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `enterTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `enterTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_optional()`.
    `void` | `enterTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_or()`.
    `void` | `enterTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `void` | `enterTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `void` | `enterTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
    `void` | `enterTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_out()`.
    `void` | `enterTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_outE()`.
    `void` | `enterTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_outV()`.
    `void` | `enterTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)` Enter a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `void` | `enterTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `void` | `enterTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_path()`.
    `void` | `enterTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
    `void` | `enterTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `void` | `enterTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `void` | `enterTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_project()`.
    `void` | `enterTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_properties()`.
    `void` | `enterTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `void` | `enterTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `void` | `enterTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
    `void` | `enterTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)` Enter a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `void` | `enterTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)` Enter a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `void` | `enterTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_read()`.
    `void` | `enterTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `void` | `enterTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `void` | `enterTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)` Enter a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `void` | `enterTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `void` | `enterTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)` Enter a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `void` | `enterTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)` Enter a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `void` | `enterTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)` Enter a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `enterTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
    `void` | `enterTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
    `void` | `enterTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
    `void` | `enterTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)` Enter a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `void` | `enterTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)` Enter a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `void` | `enterTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_store()`.
    `void` | `enterTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
    `void` | `enterTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `void` | `enterTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `void` | `enterTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `enterTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)` Enter a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `enterTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)` Enter a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `enterTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)` Enter a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `enterTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
    `void` | `enterTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_times()`.
    `void` | `enterTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `enterTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `enterTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `enterTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_toE()`.
    `void` | `enterTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_toV()`.
    `void` | `enterTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)` Enter a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `void` | `enterTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `void` | `enterTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
    `void` | `enterTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_union()`.
    `void` | `enterTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)` Enter a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `void` | `enterTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `void` | `enterTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_V()`.
    `void` | `enterTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_value()`.
    `void` | `enterTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `void` | `enterTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `void` | `enterTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_values()`.
    `void` | `enterTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)` Enter a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `enterTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)` Enter a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `enterTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)` Enter a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `enterTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)` Enter a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `void` | `enterTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)` Enter a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `void` | `enterTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod_write()`.
    `void` | `enterTraversalMethod(GremlinParser.TraversalMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalMethod()`.
    `void` | `enterTraversalOperator(GremlinParser.TraversalOperatorContext ctx)` Enter a parse tree produced by `GremlinParser.traversalOperator()`.
    `void` | `enterTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)` Enter a parse tree produced by `GremlinParser.traversalOptionParent()`.
    `void` | `enterTraversalOrder(GremlinParser.TraversalOrderContext ctx)` Enter a parse tree produced by `GremlinParser.traversalOrder()`.
    `void` | `enterTraversalPop(GremlinParser.TraversalPopContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPop()`.
    `void` | `enterTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_between()`.
    `void` | `enterTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
    `void` | `enterTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
    `void` | `enterTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
    `void` | `enterTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
    `void` | `enterTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
    `void` | `enterTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
    `void` | `enterTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
    `void` | `enterTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
    `void` | `enterTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
    `void` | `enterTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_not()`.
    `void` | `enterTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
    `void` | `enterTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
    `void` | `enterTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
    `void` | `enterTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
    `void` | `enterTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
    `void` | `enterTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_within()`.
    `void` | `enterTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate_without()`.
    `void` | `enterTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)` Enter a parse tree produced by `GremlinParser.traversalPredicate()`.
    `void` | `enterTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSackMethod()`.
    `void` | `enterTraversalScope(GremlinParser.TraversalScopeContext ctx)` Enter a parse tree produced by `GremlinParser.traversalScope()`.
    `void` | `enterTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
    `void` | `enterTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSelfMethod()`.
    `void` | `enterTraversalSource(GremlinParser.TraversalSourceContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSource()`.
    `void` | `enterTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
    `void` | `enterTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
    `void` | `enterTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
    `void` | `enterTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
    `void` | `enterTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
    `void` | `enterTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
    `void` | `enterTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
    `void` | `enterTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
    `void` | `enterTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
    `void` | `enterTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
    `void` | `enterTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
    `void` | `enterTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
    `void` | `enterTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
    `void` | `enterTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
    `void` | `enterTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategy()`.
    `void` | `enterTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
    `void` | `enterTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
    `void` | `enterTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
    `void` | `enterTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
    `void` | `enterTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
    `void` | `enterTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
    `void` | `enterTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)` Enter a parse tree produced by `GremlinParser.traversalStrategyList()`.
    `void` | `enterTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
    `void` | `enterTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
    `void` | `enterTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
    `void` | `enterTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
    `void` | `enterTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
    `void` | `enterTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
    `void` | `enterTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
    `void` | `enterTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
    `void` | `enterTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)` Enter a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
    `void` | `enterTraversalToken(GremlinParser.TraversalTokenContext ctx)` Enter a parse tree produced by `GremlinParser.traversalToken()`.
    `void` | `enterWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)` Enter a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
    `void` | `enterWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)` Enter a parse tree produced by `GremlinParser.withOptionsStringConstants()`.
    `void` | `exitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.booleanLiteral()`.
    `void` | `exitChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)` Exit a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
    `void` | `exitChainedTraversal(GremlinParser.ChainedTraversalContext ctx)` Exit a parse tree produced by `GremlinParser.chainedTraversal()`.
    `void` | `exitConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.connectedComponentConstants()`.
    `void` | `exitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
    `void` | `exitDateLiteral(GremlinParser.DateLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.dateLiteral()`.
    `void` | `exitEmptyQuery(GremlinParser.EmptyQueryContext ctx)` Exit a parse tree produced by `GremlinParser.emptyQuery()`.
    `void` | `exitFloatLiteral(GremlinParser.FloatLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.floatLiteral()`.
    `void` | `exitGenericLiteral(GremlinParser.GenericLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteral()`.
    `void` | `exitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteralCollection()`.
    `void` | `exitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteralExpr()`.
    `void` | `exitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteralList()`.
    `void` | `exitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteralMap()`.
    `void` | `exitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)` Exit a parse tree produced by `GremlinParser.genericLiteralRange()`.
    `void` | `exitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
    `void` | `exitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
    `void` | `exitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
    `void` | `exitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
    `void` | `exitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
    `void` | `exitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
    `void` | `exitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
    `void` | `exitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
    `void` | `exitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
    `void` | `exitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
    `void` | `exitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
    `void` | `exitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
    `void` | `exitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
    `void` | `exitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
    `void` | `exitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
    `void` | `exitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
    `void` | `exitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
    `void` | `exitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
    `void` | `exitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
    `void` | `exitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
    `void` | `exitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.gremlinStringConstants()`.
    `void` | `exitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.integerLiteral()`.
    `void` | `exitIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
    `void` | `exitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
    `void` | `exitNestedTraversal(GremlinParser.NestedTraversalContext ctx)` Exit a parse tree produced by `GremlinParser.nestedTraversal()`.
    `void` | `exitNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)` Exit a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
    `void` | `exitNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)` Exit a parse tree produced by `GremlinParser.nestedTraversalList()`.
    `void` | `exitNullLiteral(GremlinParser.NullLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.nullLiteral()`.
    `void` | `exitPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.pageRankStringConstant()`.
    `void` | `exitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.pageRankStringConstants()`.
    `void` | `exitPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
    `void` | `exitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
    `void` | `exitQuery(GremlinParser.QueryContext ctx)` Exit a parse tree produced by `GremlinParser.query()`.
    `void` | `exitQueryList(GremlinParser.QueryListContext ctx)` Exit a parse tree produced by `GremlinParser.queryList()`.
    `void` | `exitRootTraversal(GremlinParser.RootTraversalContext ctx)` Exit a parse tree produced by `GremlinParser.rootTraversal()`.
    `void` | `exitShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
    `void` | `exitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
    `void` | `exitStringLiteral(GremlinParser.StringLiteralContext ctx)` Exit a parse tree produced by `GremlinParser.stringLiteral()`.
    `void` | `exitStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)` Exit a parse tree produced by `GremlinParser.stringLiteralExpr()`.
    `void` | `exitStringLiteralList(GremlinParser.StringLiteralListContext ctx)` Exit a parse tree produced by `GremlinParser.stringLiteralList()`.
    `void` | `exitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)` Exit a parse tree produced by `GremlinParser.terminatedTraversal()`.
    `void` | `exitTransactionPart(GremlinParser.TransactionPartContext ctx)` Exit a parse tree produced by `GremlinParser.transactionPart()`.
    `void` | `exitTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)` Exit a parse tree produced by `GremlinParser.traversalBiFunction()`.
    `void` | `exitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)` Exit a parse tree produced by `GremlinParser.traversalCardinality()`.
    `void` | `exitTraversalColumn(GremlinParser.TraversalColumnContext ctx)` Exit a parse tree produced by `GremlinParser.traversalColumn()`.
    `void` | `exitTraversalComparator(GremlinParser.TraversalComparatorContext ctx)` Exit a parse tree produced by `GremlinParser.traversalComparator()`.
    `void` | `exitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)` Exit a parse tree produced by `GremlinParser.traversalDirection()`.
    `void` | `exitTraversalFunction(GremlinParser.TraversalFunctionContext ctx)` Exit a parse tree produced by `GremlinParser.traversalFunction()`.
    `void` | `exitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `void` | `exitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `void` | `exitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `exitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `exitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `void` | `exitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `void` | `exitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `void` | `exitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_and()`.
    `void` | `exitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_as()`.
    `void` | `exitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)` Exit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `exitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `exitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)` Exit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `void` | `exitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_both()`.
    `void` | `exitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
    `void` | `exitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
    `void` | `exitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_branch()`.
    `void` | `exitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)` Exit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)` Exit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `void` | `exitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_cap()`.
    `void` | `exitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `void` | `exitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
    `void` | `exitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_coin()`.
    `void` | `exitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
    `void` | `exitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_constant()`.
    `void` | `exitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `void` | `exitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `void` | `exitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
    `void` | `exitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `void` | `exitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `void` | `exitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_drop()`.
    `void` | `exitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
    `void` | `exitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `exitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)` Exit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `exitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `void` | `exitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)` Exit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `void` | `exitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `void` | `exitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
    `void` | `exitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `void` | `exitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)` Exit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `void` | `exitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `void` | `exitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `void` | `exitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `void` | `exitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `void` | `exitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `void` | `exitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `void` | `exitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)` Exit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `void` | `exitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `void` | `exitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)` Exit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `void` | `exitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)` Exit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `void` | `exitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `void` | `exitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)` Exit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `void` | `exitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `void` | `exitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
    `void` | `exitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `void` | `exitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)` Exit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `void` | `exitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_id()`.
    `void` | `exitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_identity()`.
    `void` | `exitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_in()`.
    `void` | `exitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_index()`.
    `void` | `exitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_inE()`.
    `void` | `exitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_inject()`.
    `void` | `exitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_inV()`.
    `void` | `exitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `void` | `exitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)` Exit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `void` | `exitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_key()`.
    `void` | `exitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_label()`.
    `void` | `exitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)` Exit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `void` | `exitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)` Exit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `void` | `exitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_local()`.
    `void` | `exitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `void` | `exitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `void` | `exitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_map()`.
    `void` | `exitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_match()`.
    `void` | `exitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_math()`.
    `void` | `exitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `void` | `exitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `void` | `exitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `void` | `exitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `void` | `exitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `void` | `exitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `void` | `exitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_not()`.
    `void` | `exitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `exitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `exitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `void` | `exitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_optional()`.
    `void` | `exitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_or()`.
    `void` | `exitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `void` | `exitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `void` | `exitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
    `void` | `exitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_out()`.
    `void` | `exitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_outE()`.
    `void` | `exitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_outV()`.
    `void` | `exitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)` Exit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `void` | `exitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `void` | `exitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_path()`.
    `void` | `exitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
    `void` | `exitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `void` | `exitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `void` | `exitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_project()`.
    `void` | `exitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_properties()`.
    `void` | `exitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `void` | `exitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `void` | `exitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
    `void` | `exitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)` Exit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `void` | `exitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)` Exit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `void` | `exitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_read()`.
    `void` | `exitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `void` | `exitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `void` | `exitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)` Exit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `void` | `exitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `void` | `exitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)` Exit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `void` | `exitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)` Exit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `void` | `exitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)` Exit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `void` | `exitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
    `void` | `exitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
    `void` | `exitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
    `void` | `exitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)` Exit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `void` | `exitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)` Exit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `void` | `exitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_store()`.
    `void` | `exitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
    `void` | `exitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `void` | `exitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `void` | `exitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `exitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)` Exit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `exitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)` Exit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `exitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)` Exit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `void` | `exitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
    `void` | `exitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_times()`.
    `void` | `exitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `exitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `exitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `void` | `exitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_toE()`.
    `void` | `exitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_toV()`.
    `void` | `exitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)` Exit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `void` | `exitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `void` | `exitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
    `void` | `exitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_union()`.
    `void` | `exitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)` Exit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `void` | `exitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `void` | `exitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_V()`.
    `void` | `exitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_value()`.
    `void` | `exitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `void` | `exitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `void` | `exitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_values()`.
    `void` | `exitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)` Exit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `exitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)` Exit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `exitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)` Exit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `void` | `exitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)` Exit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `void` | `exitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)` Exit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `void` | `exitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod_write()`.
    `void` | `exitTraversalMethod(GremlinParser.TraversalMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalMethod()`.
    `void` | `exitTraversalOperator(GremlinParser.TraversalOperatorContext ctx)` Exit a parse tree produced by `GremlinParser.traversalOperator()`.
    `void` | `exitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)` Exit a parse tree produced by `GremlinParser.traversalOptionParent()`.
    `void` | `exitTraversalOrder(GremlinParser.TraversalOrderContext ctx)` Exit a parse tree produced by `GremlinParser.traversalOrder()`.
    `void` | `exitTraversalPop(GremlinParser.TraversalPopContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPop()`.
    `void` | `exitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_between()`.
    `void` | `exitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
    `void` | `exitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
    `void` | `exitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
    `void` | `exitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
    `void` | `exitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
    `void` | `exitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
    `void` | `exitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
    `void` | `exitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
    `void` | `exitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
    `void` | `exitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_not()`.
    `void` | `exitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
    `void` | `exitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
    `void` | `exitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
    `void` | `exitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
    `void` | `exitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
    `void` | `exitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_within()`.
    `void` | `exitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate_without()`.
    `void` | `exitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)` Exit a parse tree produced by `GremlinParser.traversalPredicate()`.
    `void` | `exitTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSackMethod()`.
    `void` | `exitTraversalScope(GremlinParser.TraversalScopeContext ctx)` Exit a parse tree produced by `GremlinParser.traversalScope()`.
    `void` | `exitTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
    `void` | `exitTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSelfMethod()`.
    `void` | `exitTraversalSource(GremlinParser.TraversalSourceContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSource()`.
    `void` | `exitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
    `void` | `exitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
    `void` | `exitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
    `void` | `exitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
    `void` | `exitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
    `void` | `exitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
    `void` | `exitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
    `void` | `exitTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
    `void` | `exitTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
    `void` | `exitTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
    `void` | `exitTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
    `void` | `exitTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
    `void` | `exitTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
    `void` | `exitTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
    `void` | `exitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategy()`.
    `void` | `exitTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
    `void` | `exitTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
    `void` | `exitTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
    `void` | `exitTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
    `void` | `exitTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
    `void` | `exitTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
    `void` | `exitTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)` Exit a parse tree produced by `GremlinParser.traversalStrategyList()`.
    `void` | `exitTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
    `void` | `exitTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
    `void` | `exitTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
    `void` | `exitTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
    `void` | `exitTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
    `void` | `exitTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
    `void` | `exitTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
    `void` | `exitTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
    `void` | `exitTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)` Exit a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
    `void` | `exitTraversalToken(GremlinParser.TraversalTokenContext ctx)` Exit a parse tree produced by `GremlinParser.traversalToken()`.
    `void` | `exitWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)` Exit a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
    `void` | `exitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)` Exit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterQueryList

          void enterQueryList(GremlinParser.QueryListContext ctx)

      Enter a parse tree produced by `GremlinParser.queryList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitQueryList

          void exitQueryList(GremlinParser.QueryListContext ctx)

      Exit a parse tree produced by `GremlinParser.queryList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterQuery

          void enterQuery(GremlinParser.QueryContext ctx)

      Enter a parse tree produced by `GremlinParser.query()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitQuery

          void exitQuery(GremlinParser.QueryContext ctx)

      Exit a parse tree produced by `GremlinParser.query()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterEmptyQuery

          void enterEmptyQuery(GremlinParser.EmptyQueryContext ctx)

      Enter a parse tree produced by `GremlinParser.emptyQuery()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitEmptyQuery

          void exitEmptyQuery(GremlinParser.EmptyQueryContext ctx)

      Exit a parse tree produced by `GremlinParser.emptyQuery()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSource

          void enterTraversalSource(GremlinParser.TraversalSourceContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSource()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSource

          void exitTraversalSource(GremlinParser.TraversalSourceContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSource()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTransactionPart

          void enterTransactionPart(GremlinParser.TransactionPartContext ctx)

      Enter a parse tree produced by `GremlinParser.transactionPart()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTransactionPart

          void exitTransactionPart(GremlinParser.TransactionPartContext ctx)

      Exit a parse tree produced by `GremlinParser.transactionPart()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterRootTraversal

          void enterRootTraversal(GremlinParser.RootTraversalContext ctx)

      Enter a parse tree produced by `GremlinParser.rootTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitRootTraversal

          void exitRootTraversal(GremlinParser.RootTraversalContext ctx)

      Exit a parse tree produced by `GremlinParser.rootTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod

          void enterTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod

          void exitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_withBulk

          void enterTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_withBulk

          void exitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_withPath

          void enterTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_withPath

          void exitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_withSack

          void enterTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_withSack

          void exitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_withSideEffect

          void enterTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_withSideEffect

          void exitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_withStrategies

          void enterTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_withStrategies

          void exitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSelfMethod_with

          void enterTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSelfMethod_with

          void exitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod

          void enterTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod

          void exitTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_addE

          void enterTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_addE

          void exitTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_addV

          void enterTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_addV

          void exitTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_E

          void enterTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_E

          void exitTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_V

          void enterTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_V

          void exitTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_inject

          void enterTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_inject

          void exitTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSourceSpawnMethod_io

          void enterTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSourceSpawnMethod_io

          void exitTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterChainedTraversal

          void enterChainedTraversal(GremlinParser.ChainedTraversalContext ctx)

      Enter a parse tree produced by `GremlinParser.chainedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitChainedTraversal

          void exitChainedTraversal(GremlinParser.ChainedTraversalContext ctx)

      Exit a parse tree produced by `GremlinParser.chainedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterChainedParentOfGraphTraversal

          void enterChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)

      Enter a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitChainedParentOfGraphTraversal

          void exitChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)

      Exit a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNestedTraversal

          void enterNestedTraversal(GremlinParser.NestedTraversalContext ctx)

      Enter a parse tree produced by `GremlinParser.nestedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNestedTraversal

          void exitNestedTraversal(GremlinParser.NestedTraversalContext ctx)

      Exit a parse tree produced by `GremlinParser.nestedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTerminatedTraversal

          void enterTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)

      Enter a parse tree produced by `GremlinParser.terminatedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTerminatedTraversal

          void exitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)

      Exit a parse tree produced by `GremlinParser.terminatedTraversal()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod

          void enterTraversalMethod(GremlinParser.TraversalMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod

          void exitTraversalMethod(GremlinParser.TraversalMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_V

          void enterTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_V()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_V

          void exitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_V()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_addE_String

          void enterTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_addE_String

          void exitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_addE_Traversal

          void enterTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_addE_Traversal

          void exitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_addV_Empty

          void enterTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_addV_Empty

          void exitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_addV_String

          void enterTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_addV_String

          void exitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_addV_Traversal

          void enterTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_addV_Traversal

          void exitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_aggregate_Scope_String

          void enterTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_aggregate_Scope_String

          void exitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_aggregate_String

          void enterTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_aggregate_String

          void exitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_and

          void enterTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_and()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_and

          void exitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_and()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_as

          void enterTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_as()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_as

          void exitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_as()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_barrier_Consumer

          void enterTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)

      Enter a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_barrier_Consumer

          void exitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)

      Exit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_barrier_Empty

          void enterTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_barrier_Empty

          void exitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_barrier_int

          void enterTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)

      Enter a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_barrier_int

          void exitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)

      Exit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_both

          void enterTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_both()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_both

          void exitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_both()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_bothE

          void enterTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_bothE

          void exitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_bothV

          void enterTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_bothV

          void exitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_branch

          void enterTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_branch()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_branch

          void exitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_branch()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Comparator

          void enterTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Comparator

          void exitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Empty

          void enterTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Empty

          void exitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Function

          void enterTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Function

          void exitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Function_Comparator

          void enterTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Function_Comparator

          void exitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Order

          void enterTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Order

          void exitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_String

          void enterTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_String

          void exitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_String_Comparator

          void enterTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_String_Comparator

          void exitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_T

          void enterTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_T

          void exitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Traversal

          void enterTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Traversal

          void exitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_by_Traversal_Comparator

          void enterTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)

      Enter a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_by_Traversal_Comparator

          void exitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)

      Exit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_cap

          void enterTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_cap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_cap

          void exitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_cap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Function

          void enterTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Function

          void exitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Predicate_Traversal

          void enterTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Predicate_Traversal

          void exitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Predicate_Traversal_Traversal

          void enterTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Predicate_Traversal_Traversal

          void exitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Traversal

          void enterTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Traversal

          void exitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Traversal_Traversal

          void enterTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Traversal_Traversal

          void exitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_choose_Traversal_Traversal_Traversal

          void enterTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_choose_Traversal_Traversal_Traversal

          void exitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_coalesce

          void enterTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_coalesce

          void exitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_coin

          void enterTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_coin()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_coin

          void exitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_coin()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_connectedComponent

          void enterTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_connectedComponent

          void exitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_constant

          void enterTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_constant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_constant

          void exitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_constant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_count_Empty

          void enterTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_count_Empty

          void exitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_count_Scope

          void enterTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_count_Scope

          void exitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_cyclicPath

          void enterTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_cyclicPath

          void exitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_dedup_Scope_String

          void enterTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_dedup_Scope_String

          void exitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_dedup_String

          void enterTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_dedup_String

          void exitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_drop

          void enterTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_drop()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_drop

          void exitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_drop()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_elementMap

          void enterTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_elementMap

          void exitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_emit_Empty

          void enterTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_emit_Empty

          void exitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_emit_Predicate

          void enterTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)

      Enter a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_emit_Predicate

          void exitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)

      Exit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_emit_Traversal

          void enterTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_emit_Traversal

          void exitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_filter_Predicate

          void enterTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)

      Enter a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_filter_Predicate

          void exitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)

      Exit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_filter_Traversal

          void enterTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_filter_Traversal

          void exitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_flatMap

          void enterTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_flatMap

          void exitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_fold_Empty

          void enterTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_fold_Empty

          void exitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_fold_Object_BiFunction

          void enterTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)

      Enter a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_fold_Object_BiFunction

          void exitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)

      Exit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_from_String

          void enterTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_from_String

          void exitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_from_Traversal

          void enterTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_from_Traversal

          void exitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_group_Empty

          void enterTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_group_Empty

          void exitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_group_String

          void enterTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_group_String

          void exitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_groupCount_Empty

          void enterTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_groupCount_Empty

          void exitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_groupCount_String

          void enterTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_groupCount_String

          void exitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String

          void enterTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String

          void exitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String_Object

          void enterTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String_Object

          void exitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String_P

          void enterTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String_P

          void exitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String_String_Object

          void enterTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String_String_Object

          void exitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String_String_P

          void enterTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String_String_P

          void exitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_String_Traversal

          void enterTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_String_Traversal

          void exitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_T_Object

          void enterTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_T_Object

          void exitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_T_P

          void enterTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_T_P

          void exitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_has_T_Traversal

          void enterTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_has_T_Traversal

          void exitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasId_Object_Object

          void enterTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasId_Object_Object

          void exitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasId_P

          void enterTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasId_P

          void exitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasKey_P

          void enterTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasKey_P

          void exitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasKey_String_String

          void enterTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasKey_String_String

          void exitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasLabel_P

          void enterTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasLabel_P

          void exitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasLabel_String_String

          void enterTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasLabel_String_String

          void exitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasNot

          void enterTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasNot

          void exitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasValue_Object_Object

          void enterTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasValue_Object_Object

          void exitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_hasValue_P

          void enterTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_hasValue_P

          void exitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_id

          void enterTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_id()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_id

          void exitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_id()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_identity

          void enterTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_identity()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_identity

          void exitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_identity()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_in

          void enterTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_in()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_in

          void exitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_in()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_inE

          void enterTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_inE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_inE

          void exitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_inE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_inV

          void enterTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_inV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_inV

          void exitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_inV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_index

          void enterTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_index()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_index

          void exitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_index()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_inject

          void enterTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_inject()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_inject

          void exitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_inject()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_is_Object

          void enterTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_is_Object

          void exitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_is_P

          void enterTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_is_P

          void exitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_key

          void enterTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_key()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_key

          void exitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_key()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_label

          void enterTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_label()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_label

          void exitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_label()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_limit_Scope_long

          void enterTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_limit_Scope_long

          void exitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_limit_long

          void enterTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_limit_long

          void exitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_local

          void enterTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_local()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_local

          void exitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_local()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_loops_Empty

          void enterTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_loops_Empty

          void exitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_loops_String

          void enterTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_loops_String

          void exitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_map

          void enterTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_map()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_map

          void exitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_map()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_match

          void enterTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_match()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_match

          void exitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_match()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_math

          void enterTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_math()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_math

          void exitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_math()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_max_Empty

          void enterTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_max_Empty

          void exitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_max_Scope

          void enterTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_max_Scope

          void exitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_mean_Empty

          void enterTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_mean_Empty

          void exitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_mean_Scope

          void enterTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_mean_Scope

          void exitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_min_Empty

          void enterTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_min_Empty

          void exitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_min_Scope

          void enterTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_min_Scope

          void exitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_not

          void enterTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_not()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_not

          void exitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_not()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_option_Predicate_Traversal

          void enterTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_option_Predicate_Traversal

          void exitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_option_Object_Traversal

          void enterTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_option_Object_Traversal

          void exitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_option_Traversal

          void enterTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_option_Traversal

          void exitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_optional

          void enterTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_optional()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_optional

          void exitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_optional()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_or

          void enterTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_or()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_or

          void exitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_or()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_order_Empty

          void enterTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_order_Empty

          void exitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_order_Scope

          void enterTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_order_Scope

          void exitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_otherV

          void enterTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_otherV

          void exitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_out

          void enterTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_out()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_out

          void exitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_out()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_outE

          void enterTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_outE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_outE

          void exitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_outE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_outV

          void enterTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_outV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_outV

          void exitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_outV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_pageRank_Empty

          void enterTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_pageRank_Empty

          void exitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_pageRank_double

          void enterTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)

      Enter a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_pageRank_double

          void exitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)

      Exit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_path

          void enterTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_path()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_path

          void exitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_path()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_peerPressure

          void enterTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_peerPressure

          void exitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_profile_Empty

          void enterTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_profile_Empty

          void exitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_profile_String

          void enterTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_profile_String

          void exitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_project

          void enterTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_project()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_project

          void exitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_project()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_properties

          void enterTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_properties()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_properties

          void exitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_properties()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_property_Cardinality_Object_Object_Object

          void enterTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_property_Cardinality_Object_Object_Object

          void exitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_property_Object_Object_Object

          void enterTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_property_Object_Object_Object

          void exitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_propertyMap

          void enterTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_propertyMap

          void exitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_range_Scope_long_long

          void enterTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_range_Scope_long_long

          void exitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_range_long_long

          void enterTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_range_long_long

          void exitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_read

          void enterTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_read()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_read

          void exitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_read()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_repeat_String_Traversal

          void enterTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_repeat_String_Traversal

          void exitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_repeat_Traversal

          void enterTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_repeat_Traversal

          void exitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sack_BiFunction

          void enterTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)

      Enter a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sack_BiFunction

          void exitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)

      Exit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sack_Empty

          void enterTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sack_Empty

          void exitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sample_Scope_int

          void enterTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)

      Enter a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sample_Scope_int

          void exitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)

      Exit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sample_int

          void enterTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)

      Enter a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sample_int

          void exitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)

      Exit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_Column

          void enterTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_Column

          void exitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_Pop_String

          void enterTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_Pop_String

          void exitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_Pop_String_String_String

          void enterTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_Pop_String_String_String

          void exitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_Pop_Traversal

          void enterTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_Pop_Traversal

          void exitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_String

          void enterTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_String

          void exitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_String_String_String

          void enterTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_String_String_String

          void exitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_select_Traversal

          void enterTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_select_Traversal

          void exitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_shortestPath

          void enterTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_shortestPath

          void exitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sideEffect

          void enterTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sideEffect

          void exitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_simplePath

          void enterTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_simplePath

          void exitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_skip_Scope_long

          void enterTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_skip_Scope_long

          void exitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_skip_long

          void enterTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_skip_long

          void exitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_store

          void enterTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_store()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_store

          void exitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_store()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_subgraph

          void enterTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_subgraph

          void exitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sum_Empty

          void enterTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sum_Empty

          void exitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_sum_Scope

          void enterTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_sum_Scope

          void exitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tail_Empty

          void enterTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tail_Empty

          void exitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tail_Scope

          void enterTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)

      Enter a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tail_Scope

          void exitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)

      Exit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tail_Scope_long

          void enterTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tail_Scope_long

          void exitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tail_long

          void enterTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)

      Enter a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tail_long

          void exitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)

      Exit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_timeLimit

          void enterTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_timeLimit

          void exitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_times

          void enterTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_times

          void exitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_to_Direction_String

          void enterTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_to_Direction_String

          void exitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_to_String

          void enterTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_to_String

          void exitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_to_Traversal

          void enterTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_to_Traversal

          void exitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_toE

          void enterTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_toE()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_toE

          void exitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_toE()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_toV

          void enterTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_toV()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_toV

          void exitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_toV()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tree_Empty

          void enterTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)

      Enter a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tree_Empty

          void exitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)

      Exit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_tree_String

          void enterTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_tree_String

          void exitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_unfold

          void enterTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_unfold

          void exitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_union

          void enterTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_union()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_union

          void exitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_union()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_until_Predicate

          void enterTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)

      Enter a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_until_Predicate

          void exitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)

      Exit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_until_Traversal

          void enterTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_until_Traversal

          void exitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_value

          void enterTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_value()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_value

          void exitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_value()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_valueMap_String

          void enterTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_valueMap_String

          void exitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_valueMap_boolean_String

          void enterTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_valueMap_boolean_String

          void exitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_values

          void enterTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_values()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_values

          void exitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_values()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_where_P

          void enterTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_where_P

          void exitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_where_String_P

          void enterTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)

      Enter a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_where_String_P

          void exitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)

      Exit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_where_Traversal

          void enterTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)

      Enter a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_where_Traversal

          void exitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)

      Exit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_with_String

          void enterTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)

      Enter a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_with_String

          void exitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)

      Exit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_with_String_Object

          void enterTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)

      Enter a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_with_String_Object

          void exitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)

      Exit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalMethod_write

          void enterTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalMethod_write()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalMethod_write

          void exitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalMethod_write()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategy

          void enterTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategy

          void exitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyArgs_ProductiveByStrategy

          void enterTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyArgs_ProductiveByStrategy

          void exitTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyArgs_PartitionStrategy

          void enterTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyArgs_PartitionStrategy

          void exitTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyArgs_SubgraphStrategy

          void enterTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyArgs_SubgraphStrategy

          void exitTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyArgs_EdgeLabelVerificationStrategy

          void enterTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyArgs_EdgeLabelVerificationStrategy

          void exitTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyArgs_ReservedKeysVerificationStrategy

          void enterTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyArgs_ReservedKeysVerificationStrategy

          void exitTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalScope

          void enterTraversalScope(GremlinParser.TraversalScopeContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalScope()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalScope

          void exitTraversalScope(GremlinParser.TraversalScopeContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalScope()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalToken

          void enterTraversalToken(GremlinParser.TraversalTokenContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalToken()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalToken

          void exitTraversalToken(GremlinParser.TraversalTokenContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalToken()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalOrder

          void enterTraversalOrder(GremlinParser.TraversalOrderContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalOrder()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalOrder

          void exitTraversalOrder(GremlinParser.TraversalOrderContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalOrder()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalDirection

          void enterTraversalDirection(GremlinParser.TraversalDirectionContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalDirection()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalDirection

          void exitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalDirection()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalCardinality

          void enterTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalCardinality()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalCardinality

          void exitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalCardinality()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalColumn

          void enterTraversalColumn(GremlinParser.TraversalColumnContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalColumn()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalColumn

          void exitTraversalColumn(GremlinParser.TraversalColumnContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalColumn()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPop

          void enterTraversalPop(GremlinParser.TraversalPopContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPop()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPop

          void exitTraversalPop(GremlinParser.TraversalPopContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPop()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalOperator

          void enterTraversalOperator(GremlinParser.TraversalOperatorContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalOperator()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalOperator

          void exitTraversalOperator(GremlinParser.TraversalOperatorContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalOperator()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalOptionParent

          void enterTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalOptionParent()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalOptionParent

          void exitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalOptionParent()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate

          void enterTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate

          void exitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod

          void enterTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod

          void exitTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSackMethod

          void enterTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSackMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSackMethod

          void exitTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSackMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSelfMethod

          void enterTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSelfMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSelfMethod

          void exitTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSelfMethod()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalComparator

          void enterTraversalComparator(GremlinParser.TraversalComparatorContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalComparator()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalComparator

          void exitTraversalComparator(GremlinParser.TraversalComparatorContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalComparator()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalFunction

          void enterTraversalFunction(GremlinParser.TraversalFunctionContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalFunction

          void exitTraversalFunction(GremlinParser.TraversalFunctionContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalBiFunction

          void enterTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalBiFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalBiFunction

          void exitTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalBiFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_eq

          void enterTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_eq

          void exitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_neq

          void enterTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_neq

          void exitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_lt

          void enterTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_lt

          void exitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_lte

          void enterTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_lte

          void exitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_gt

          void enterTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_gt

          void exitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_gte

          void enterTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_gte

          void exitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_inside

          void enterTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_inside

          void exitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_outside

          void enterTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_outside

          void exitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_between

          void enterTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_between()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_between

          void exitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_between()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_within

          void enterTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_within()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_within

          void exitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_within()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_without

          void enterTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_without()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_without

          void exitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_without()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_not

          void enterTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_not()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_not

          void exitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_not()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_containing

          void enterTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_containing

          void exitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_notContaining

          void enterTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_notContaining

          void exitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_startingWith

          void enterTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_startingWith

          void exitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_notStartingWith

          void enterTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_notStartingWith

          void exitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_endingWith

          void enterTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_endingWith

          void exitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalPredicate_notEndingWith

          void enterTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalPredicate_notEndingWith

          void exitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_explain

          void enterTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_explain

          void exitTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_hasNext

          void enterTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_hasNext

          void exitTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_iterate

          void enterTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_iterate

          void exitTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_tryNext

          void enterTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_tryNext

          void exitTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_next

          void enterTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_next

          void exitTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_toList

          void enterTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_toList

          void exitTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_toSet

          void enterTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_toSet

          void exitTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalTerminalMethod_toBulkSet

          void enterTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalTerminalMethod_toBulkSet

          void exitTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalSelfMethod_none

          void enterTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalSelfMethod_none

          void exitTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants

          void enterGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants

          void exitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterConnectedComponentConstants

          void enterConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.connectedComponentConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitConnectedComponentConstants

          void exitConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.connectedComponentConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterPageRankStringConstants

          void enterPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.pageRankStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitPageRankStringConstants

          void exitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.pageRankStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterPeerPressureStringConstants

          void enterPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitPeerPressureStringConstants

          void exitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterShortestPathStringConstants

          void enterShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitShortestPathStringConstants

          void exitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterWithOptionsStringConstants

          void enterWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.withOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitWithOptionsStringConstants

          void exitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterIoOptionsStringConstants

          void enterIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)

      Enter a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitIoOptionsStringConstants

          void exitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)

      Exit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_connectedComponentStringConstants_component

          void enterGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_connectedComponentStringConstants_component

          void exitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_connectedComponentStringConstants_edges

          void enterGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_connectedComponentStringConstants_edges

          void exitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_connectedComponentStringConstants_propertyName

          void enterGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_connectedComponentStringConstants_propertyName

          void exitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_pageRankStringConstants_edges

          void enterGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_pageRankStringConstants_edges

          void exitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_pageRankStringConstants_times

          void enterGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_pageRankStringConstants_times

          void exitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_pageRankStringConstants_propertyName

          void enterGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_pageRankStringConstants_propertyName

          void exitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_peerPressureStringConstants_edges

          void enterGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_peerPressureStringConstants_edges

          void exitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_peerPressureStringConstants_times

          void enterGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_peerPressureStringConstants_times

          void exitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_peerPressureStringConstants_propertyName

          void enterGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_peerPressureStringConstants_propertyName

          void exitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_shortestPathStringConstants_target

          void enterGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_shortestPathStringConstants_target

          void exitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_shortestPathStringConstants_edges

          void enterGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_shortestPathStringConstants_edges

          void exitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_shortestPathStringConstants_distance

          void enterGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_shortestPathStringConstants_distance

          void exitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_shortestPathStringConstants_maxDistance

          void enterGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_shortestPathStringConstants_maxDistance

          void exitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_shortestPathStringConstants_includeEdges

          void enterGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_shortestPathStringConstants_includeEdges

          void exitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_tokens

          void enterGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_tokens

          void exitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_none

          void enterGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_none

          void exitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_ids

          void enterGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_ids

          void exitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_labels

          void enterGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_labels

          void exitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_keys

          void enterGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_keys

          void exitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_values

          void enterGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_values

          void exitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_all

          void enterGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_all

          void exitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_indexer

          void enterGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_indexer

          void exitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_list

          void enterGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_list

          void exitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_withOptionsStringConstants_map

          void enterGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_withOptionsStringConstants_map

          void exitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_ioOptionsStringConstants_reader

          void enterGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_ioOptionsStringConstants_reader

          void exitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_ioOptionsStringConstants_writer

          void enterGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_ioOptionsStringConstants_writer

          void exitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_ioOptionsStringConstants_gryo

          void enterGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_ioOptionsStringConstants_gryo

          void exitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_ioOptionsStringConstants_graphson

          void enterGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_ioOptionsStringConstants_graphson

          void exitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGremlinStringConstants_ioOptionsStringConstants_graphml

          void enterGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)

      Enter a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGremlinStringConstants_ioOptionsStringConstants_graphml

          void exitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)

      Exit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterConnectedComponentStringConstant

          void enterConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitConnectedComponentStringConstant

          void exitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterPageRankStringConstant

          void enterPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.pageRankStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitPageRankStringConstant

          void exitPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.pageRankStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterPeerPressureStringConstant

          void enterPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitPeerPressureStringConstant

          void exitPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterShortestPathStringConstant

          void enterShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitShortestPathStringConstant

          void exitShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterWithOptionsStringConstant

          void enterWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitWithOptionsStringConstant

          void exitWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterIoOptionsStringConstant

          void enterIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)

      Enter a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitIoOptionsStringConstant

          void exitIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)

      Exit a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyList

          void enterTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyList

          void exitTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTraversalStrategyExpr

          void enterTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)

      Enter a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTraversalStrategyExpr

          void exitTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)

      Exit a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNestedTraversalList

          void enterNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)

      Enter a parse tree produced by `GremlinParser.nestedTraversalList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNestedTraversalList

          void exitNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)

      Exit a parse tree produced by `GremlinParser.nestedTraversalList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNestedTraversalExpr

          void enterNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)

      Enter a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNestedTraversalExpr

          void exitNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)

      Exit a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteralList

          void enterGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteralList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteralList

          void exitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteralList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteralExpr

          void enterGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteralExpr

          void exitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteralRange

          void enterGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteralRange()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteralRange

          void exitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteralRange()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteralCollection

          void enterGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteralCollection()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteralCollection

          void exitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteralCollection()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterStringLiteralList

          void enterStringLiteralList(GremlinParser.StringLiteralListContext ctx)

      Enter a parse tree produced by `GremlinParser.stringLiteralList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitStringLiteralList

          void exitStringLiteralList(GremlinParser.StringLiteralListContext ctx)

      Exit a parse tree produced by `GremlinParser.stringLiteralList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterStringLiteralExpr

          void enterStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)

      Enter a parse tree produced by `GremlinParser.stringLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitStringLiteralExpr

          void exitStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)

      Exit a parse tree produced by `GremlinParser.stringLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteral

          void enterGenericLiteral(GremlinParser.GenericLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteral

          void exitGenericLiteral(GremlinParser.GenericLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterGenericLiteralMap

          void enterGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)

      Enter a parse tree produced by `GremlinParser.genericLiteralMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitGenericLiteralMap

          void exitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)

      Exit a parse tree produced by `GremlinParser.genericLiteralMap()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterIntegerLiteral

          void enterIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.integerLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitIntegerLiteral

          void exitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.integerLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterFloatLiteral

          void enterFloatLiteral(GremlinParser.FloatLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.floatLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFloatLiteral

          void exitFloatLiteral(GremlinParser.FloatLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.floatLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBooleanLiteral

          void enterBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.booleanLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBooleanLiteral

          void exitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.booleanLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterStringLiteral

          void enterStringLiteral(GremlinParser.StringLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.stringLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitStringLiteral

          void exitStringLiteral(GremlinParser.StringLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.stringLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterDateLiteral

          void enterDateLiteral(GremlinParser.DateLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.dateLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitDateLiteral

          void exitDateLiteral(GremlinParser.DateLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.dateLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNullLiteral

          void enterNullLiteral(GremlinParser.NullLiteralContext ctx)

      Enter a parse tree produced by `GremlinParser.nullLiteral()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNullLiteral

          void exitNullLiteral(GremlinParser.NullLiteralContext ctx)

      Exit a parse tree produced by `GremlinParser.nullLiteral()`.
      Parameters:
        `ctx` - the parse tree

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.